package info.createwanwan.hostsswitcher.common;

import java.util.regex.Pattern;

public interface PatternsDefinition {
	public static final Pattern BIGEN_PATT 
		= Pattern.compile("#!!HOSTSSWT\\s{1,}(.*)");
	public static final Pattern END_PATT
		= Pattern.compile("#!!HOSTSSWT-END");
	public static final Pattern COMMENTOUTDATA_PATT
		= Pattern.compile("(#)\\s{0,}(\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\s{1,}\\S{1,})");
	public static final Pattern DATALINE_PATT 
		= Pattern.compile("\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\.\\d{1,3}\\s.*");
}
